######################
# ja/a3500fc.grid
######################

type=a3500fc.AlarmEvent-.battery
code=2.5.5
pattern=[MX].device_info.battery.status
severity=1
actionable=1
desc=The state of 'device_info.battery.status' on crash7_001 is 'Failed'
cause=A battery can fail either because it is bad or has exceeded its life
'span. Batteries have a 2 year life span and will report errors when they
'are about to exceed that life span.
action=raidutil -c <c#t#d#> -B を使用して、バッテリの使用期間を確認します。
'2. 「Recovery Guru」を使用して、バッテリ交換の手順を行います。
'3. バッテリを交換したら、それぞれのコントローラで raidutil -c <c#t#d#> -R を
'使用して、バッテリの使用期間をリセットします。
'* バッテリの使用期間を維持するコマンドを実行するときは、コントローラに LUN が必要となります。
'4. raidutil -c <c#t#d#> -B を使用して、使用期間を確認します。


type=a3500fc.AuditEvent
code=2.10.16
severity=0
actionable=0
desc=Auditing a new a3500fc with ID:a3500fc.[Array_Name]
info=監査は、毎週実行されます。


type=a3500fc.CommunicationEstablishedEvent.ib
code=2.11.21
severity=0
actionable=0
desc=Communication regained with A3500fc called a3500fc.[Array_Name]


type=a3500fc.CommunicationLostEvent.ib
code=2.12.21
pattern=ib
severity=3
actionable=1
desc=Lost communication with A3500FC called a3500fc.[Array_Name]
info=このイベントは、rm6 コマンド (lad、raidutil、rdacutil、drivutil) を使用して、常に帯域内で行われます。
action=1. SAN トポロジをチェックして、データパスで障害のあるセグメントを確認します。
'2. ケーブル、GBIC、HBA、電源ケーブルを確認します。
'* 問題のある FRU が A3500 上にあるときは、A3500 のためのステップ 3 に進み、作業を続けます。
'3. コマンド行から '/usr/sbin/osa/healthck -a' を実行して、ステータスを確認します。
'4. Raid Manager GUI で「Healthcheck」および「Recovery Guru」を実行します。所定のサービス手順に従います。


type=a3500fc.ComponentInsertEvent.controller
code=2.40.12
severity=0
actionable=0
desc=Component 'controller.b:XX' was added to [Array_Name] 'a3500fc.[Array_Name]
info=新しいコントローラがシリアル # で識別され、6120 にインストールされました。


type=a3500fc.ComponentInsertEvent.disk
code=2.40.13
severity=0
actionable=0
desc=Component 'disk.1:SEAGATE.LT02926900' was added to Array_Name 'a3500fc.[Array_Name]
info=新しいディスクがシリアル # で識別され、A3500fc にインストールされました。


type=a3500fc.ComponentRemoveEvent.controller
code=2.41.12
severity=2
actionable=1
desc=Component 'controller.b:XX' was removed from Array_Name 'a3500fc.[Array_Name]
info=A3500 から、コントローラが削除されたことが通知されました。これは、障害、またはサービス交換処置によるものです。
action=1. Raid Manager GUI で「Recovery Guru」を使用して、コントローラを交換します。


type=a3500fc.ComponentRemoveEvent.disk
code=2.41.13
severity=2
actionable=1
desc=Component 'disk.1:SEAGATE.LT02926900' was removed from Array_Name 'a3500fc.[Array_Name]
info=A3500 から、ディスクが削除されたことを通知されました。これは、障害、またはサービス交換処置によるものです。
action=1. ディスクを交換します。


type=a3500fc.DeviceLostEvent.aggregate
code=2.34.71
pattern=aggregate
severity=3
actionable=1
desc=Device ([Host_Name]) on a3500fc.[Array_Name] is not available anymore, confirmed by the following 5 subevents
info=デバイスが使用できないことを示す「集積イベント」。


type=a3500fc.DiagnosticTest-.a3500fctest
code=2.13.302
pattern=M.a3500fctest
severity=2
actionable=0
desc=a3500fctest ([Host_Name]) on a3500fc.[Array_Name] failed


type=a3500fc.DiscoveryEvent
code=2.14.16
severity=0
actionable=0
desc=Discovered a new a3500fc with ID:a3500fc.[Array_Name]
info=検出イベントは、エージェントがストレージデバイスを検出したときに発生します。


type=a3500fc.LocationChangeEvent
code=2.19.16
severity=0
actionable=0
desc=Location of a3500fc called [Array_Name] was changed


type=a3500fc.StateChangeEvent+.disk
code=2.25.13
severity=0
actionable=0
desc=disk.0 (SEAGATE.LT04183900) in A3500FC 'Array_Name' a3500fc.[Array_Name] is now Available (status-state changed from 'Degraded' to 'Optimal')


type=a3500fc.StateChangeEvent-.controller
code=2.26.12
pattern=[MX].controller.\w
severity=2
actionable=1
desc=controller.a (Symbios.1T93200466) in A3500FC 'Array_Name' a3500fc.[Array_Name] is now Not-Available (status-state changed from 'Active' to 'Error')
info=a3500fc エンクロージャ内のこのコントローラの状態が変更されました (rm6)。
action=1. Raid Manager GUI のメッセージログで、エラーをチェックします。
'* /usr/lib/osa/rmlog.log が Sun Support に送られて、デコーディングされます。
'2. '/usr/sbin/osa/lad' を実行して、コントローラのリストを維持します。
'3. コマンド行から '/usr/sbin/osa/healthck -a' を実行して、ステータスを確認します。
'4. Raid Manager GUI で「Healthcheck」および「Recovery Guru」を実行します。所定のサービス手順に従います。
'5. 必要に応じてコントローラを交換します。


type=a3500fc.StateChangeEvent-.disk
code=2.26.13
pattern=[MX].disk
severity=2
actionable=1
desc=disk.0 (SEAGATE.LT04183900) in A3500FC 'Array_Name' a3500fc.[Array_Name] is now Not-Available (status-state changed from 'Optimal' to 'Degraded')
info=A3500 エンクロージャ内のディスクが、障害を通知しました。
action=1. Raid Manager GUI で「Healthcheck」および「Recovery Guru」をチェックします。所定のサービス手順に従います。


